/*Pantallas grandes*/
@media(min-width:1600px) {
    .layout__menu {
        padding: 5rem 9rem;
    }

    .layout__banner {
        min-height: 85rem;
        margin: 0 9.5rem;
        padding-right: 0;
        padding-left: 20rem;
        padding-top: 25rem;
        padding-bottom: 30rem;
    }

    .services__service {
        padding: 7rem 5rem;
    }
}

/*Pantallas medianas*/
@media(min-width: 1199px) and (max-width: 1400px) {
    .footer__container {
        max-width: 100%;
        padding-left: 3rem;
        padding-right: 3rem;
    }

    .projects__all {
        gap: 3rem;
    }
}

@media(max-width:1200px) {
    .nav__item {
        margin: 0 2rem;
    }

    .banner__title {
        font-size: 6rem;
    }

    .layout__services {
        margin: 0;
        padding: 8rem 3rem;
    }

    .footer__container {
        max-width: 96rem
    }

    .services__service {
        padding: 4rem 1.5rem;
    }

    .services__container-img {
        max-width: 6rem;
    }

    .projects__all {
        gap: 3rem;
    }

    .layout__contact {
        padding-top: 10rem;
        padding-bottom: 7rem;
    }

    .menu__mobile {
        visibility: hidden;
        opacity: 0;
    }

}

@media(max-width: 1100px) {
    .case__hero-content {
        padding: 6rem 4rem;
    }

    .case__hero-title {
        font-size: 4.5rem;
    }

    .case__help-grid,
    .case__whatwedo-grid {
        gap: 3rem;
    }

    .service-full__title {
        font-size: 5rem;
    }

    .whatwedo-full__grid,
    .examples__grid {
        grid-template-columns: repeat(2, 1fr);
        /* Pasamos a 2 columnas */
    }

    .analytics__hero-content {
        padding: 6rem 4rem;
    }

    .analytics__hero-title {
        font-size: 5rem;
    }

    .whatwedo__grid {
        grid-template-columns: repeat(2, 1fr);
        /* Pasamos a 2 columnas en tablet */
    }
}

@media(max-width:1000px) {
    .navbar__nav {
        display: none;
    }

    .navbar__mobile-btn {
        display: block;
    }

    .layout__banner {
        min-height: 100%;
        margin: 0 3rem;
    }

    .banner__content {
        width: 65%;
        max-width: 45rem;
    }

    .banner__title {
        font-size: 5rem;
    }

    .banner__btn {
        padding: 2rem 3.5rem;
    }

    .shapes__item {
        width: 50%;
    }

    .footer__container {
        max-width: 72rem;
    }

    .layout__services {
        padding-bottom: 4rem;
    }

    .services__header {
        position: relative;
        margin-bottom: 4rem;
        max-width: 100%;
    }

    .services__subtitle,
    .projects__subtitle {
        font-size: 1.8rem;
    }

    .services__title,
    .projects__title {
        font-size: 5rem;
    }

    .services__list {
        flex-direction: column;
    }

    .services__service {
        width: 100%;
        margin-top: 1rem;
        margin-bottom: 1rem;
        padding: 4rem 2.5rem;
    }

    .service-shapes--shape2 {
        display: none;
    }

    .layout__projects {
        padding: 8rem 4rem;
    }

    .projects-shapes--shape2 {
        display: none;
    }

    .layout__contact {
        padding-top: 8rem;
        padding-bottom: 4rem;
    }

    .layout__contact::before {
        height: 60rem;
    }

    .contact__title {
        width: 100%;
    }

    .contact__btn {
        padding: 1.8rem 3.5rem;
    }

    .contact__thumb-chat {
        margin: 0 auto;
        margin-bottom: -1rem;
        width: 55%;
        display: block;
    }

    .contact__thumb-laptop {
        position: absolute;
        bottom: 0;
        left: 2%;
        width: 28%;
    }

    .contact__thumb-mobile {
        position: absolute;
        bottom: 0;
        right: 2%;
        width: 22%;
    }

    .contact__img {
        width: 100%;
    }

    .social__img {
        font-size: 3.4rem;
    }

    .footer__main {
        display: flex;
        flex-direction: column;
    }

    .footer__fleft {
        width: 100%;
    }

    .fleft__container {
        border: none;
    }

    .footer__fright {
        width: 100%;
        flex-wrap: wrap;
        gap: 2rem;
    }

    .footer__bottom {
        flex-direction: column;
    }

    .footer__copyright {
        flex-basis: auto;
        text-align: center;
        display: block;
        margin-bottom: 1rem;
    }

    .footer__links {
        flex-basis: auto;
        text-align: center;
    }

    .footer__flinks {
        justify-content: center;
    }
}

@media(max-width: 900px) {
    .case__hero {
        flex-direction: column;
    }

    .case__hero-content,
    .case__hero-imagebox {
        width: 100%;
    }

    .case__hero-imagebox {
        height: 350px;
    }

    .case__intro-text {
        font-size: 2.2rem;
    }

    .case__help-grid,
    .case__whatwedo-grid {
        grid-template-columns: 1fr;
        gap: 5rem;
    }

    .analytics__hero {
        flex-direction: column;
        /* Apilamos texto arriba e imagen abajo */
    }

    .analytics__hero-content,
    .analytics__hero-imagebox {
        width: 100%;
    }

    .analytics__hero-imagebox {
        height: 400px;
        /* Le damos una altura fija a la imagen en celular */
    }

    .analytics__intro-title {
        font-size: 2.6rem;
    }

    .whatwedo__grid {
        grid-template-columns: 1fr;
        /* Una sola columna en móvil */
        gap: 4rem;
    }
}

/*Vista moviles*/
@media(max-width: 770px) {
    .layout__banner {
        margin: 0 1.5rem;
        padding: 6rem 3rem;
    }

    .banner__content {
        width: 100%;
        position: relative;
        z-index: 10;
    }

    .banner__title {
        font-size: 3.6rem;
    }

    .layout__services {
        margin: 7rem 3rem;
    }

    .footer__container {
        max-width: 54rem;
    }

    .services__subtitle,
    .projects__subtitle {
        font-size: 1.6rem;
    }

    .services__title,
    .projects__title {
        font-size: 5rem;
    }

    .layout__projects {
        padding: 6rem 4rem;
    }

    .projects__categories {
        flex-wrap: wrap;
        gap: 1.5rem;
        margin-bottom: 4rem;
    }

    .project__container-img {
        height: 25rem;
    }

    .projects__all {
        grid-template-columns: 1fr;
    }

    .projects__project {
        width: 100%;
    }

    .layout__contact {
        padding-top: 6rem;
        padding-bottom: 4rem;
    }

    .layout__contact::before {
        height: 48rem;
    }

    .contact__title {
        width: 100%;
    }

    .contact__btn {
        padding: 1.8rem 3.5rem;
    }

    .contact__thumb-chat {
        width: 75%;
    }

    .contact__thumb-laptop {
        left: 0;
        width: 32%;
    }

    .contact__thumb-mobile {
        right: -2%;
        width: 26%;
    }

    .contact__img {
        width: 100%;
    }

    .fleft__container {
        padding-right: 0rem;
        margin-right: 0rem;
        margin-bottom: 8rem;
    }

    .legal__title {
        font-size: 4rem;
    }

    .layout__legal {
        padding-top: 12rem;
    }
}

/*Pantallas mas pequeñas*/
@media(max-width:640px) {

    .layout__projects .contact__container,
    .footer__container {
        padding-left: 3rem;
        padding-right: 3rem;
    }

    .layout__services {
        margin-left: 3rem;
        margin-right: 1rem;
    }

    .footer__widget--50 {
        flex-basis: auto;
    }
}

@media(max-width: 600px) {
    .case__hero-title {
        font-size: 3.5rem;
    }

    .case__intro {
        padding: 6rem 2rem;
    }

    .case__section-label {
        margin-bottom: 3rem;
    }

    .analytics__hero-title {
        font-size: 4rem;
    }

    .analytics__intro {
        padding: 8rem 2rem 6rem;
    }

    .analytics__section-label {
        margin-bottom: 5rem;
    }
}